Bug 32311 - local buffer as variable in ucc-image and initramfs
local buffer as variable in ucc-image and initramfs
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: Image management
unspecified
Other Linux
: P5 enhancement
: UCC 2.0
Assigned To: Erik Damrose
Felix Botner
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 16:06 CEST by Daniel Orrego
Modified: 2014-10-28 13:17 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Orrego univentionstaff 2013-08-22 16:06:07 CEST
ucc-image scripts (part of the UCC initramfs tools), reserve a buffer of 50MB during image roll out. Some special applications could take advantage of this space if such buffer was set as an (UCR ?) variable on the UCC server.

Please see the _check_free_space () function on

https://forge.univention.org/svn/dev/branches/ucs-3.1/ucc/univention-ucc-initramfs/initramfs-tools/scripts/ucc
Comment 1 Erik Damrose univentionstaff 2014-04-03 14:37:08 CEST
The 'buffer' variable in the initram script function _check_free_space() just checks is a buffer of 50MB is available, it does not reserve it. The space is used for saving the persistent files and ucr variables.

If a specific size should be reserved, the image configuration options regarding partitioning (may also use a separate partition script) and the desired image size should be adjusted.

The original use case was a very small thinclient image that could not be rolled out because the hardcoded 50MB value caused the check <imagesize+50MB> to fail.

We should think about lowering the 50MB value to 5 or 10. If one knows that more space is needed for persistent-{ucr|files}, the image-config and partition should be adjusted.
Comment 2 Erik Damrose univentionstaff 2014-04-08 09:41:51 CEST
The reserved space will be lowered to 10MB. After fixing this, the documentation should be updated, and the reserved space be pointed out.
Comment 3 Erik Damrose univentionstaff 2014-04-08 15:31:12 CEST
Fix and changelog in
r49173 univention-ucc-initramfs 3.0.0-6.94.201404081530
Comment 4 Felix Botner univentionstaff 2014-04-15 14:42:12 CEST
OK - univention-ucc-initramfs
OK - Changelog
Comment 5 Moritz Muehlenhoff univentionstaff 2014-06-12 09:19:52 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".